cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_open_orders_by_instrument \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 8442,
"jsonrpc": "2.0",
"method": "private/get_open_orders_by_instrument",
"params": {
"instrument_name": "ETH-22FEB19-120-C"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_open_orders_by_instrument"
payload = {
"id": 8442,
"jsonrpc": "2.0",
"method": "private/get_open_orders_by_instrument",
"params": { "instrument_name": "ETH-22FEB19-120-C" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 8442,
jsonrpc: '2.0',
method: 'private/get_open_orders_by_instrument',
params: {instrument_name: 'ETH-22FEB19-120-C'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_open_orders_by_instrument', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1953,
"jsonrpc": "2.0",
"result": [
{
"amount": 10,
"api": true,
"average_price": 0,
"creation_timestamp": 1550050597036,
"direction": "buy",
"filled_amount": 0,
"instrument_name": "BTC-15FEB19-3250-P",
"is_liquidation": false,
"is_rebalance": false,
"label": "fooBar",
"last_update_timestamp": 1550050597036,
"max_show": 10,
"order_id": "146062",
"order_state": "open",
"order_type": "limit",
"post_only": false,
"price": 0.0028,
"reduce_only": false,
"time_in_force": "good_til_cancelled"
}
]
}Trading
private/get_open_orders_by_instrument
Retrieves a list of all open orders for a specific instrument. Open orders are orders that have been placed but not yet filled or cancelled.
Results can be filtered by order type. This method is useful for checking active orders for a particular instrument.
GET
/
private
/
get_open_orders_by_instrument
cURL
Authorizations
ApiKeyOAuth2
Call public/auth with grant_type: coinbase_cdp and a CDP JWT. Send the returned access_token as Authorization: Bearer.
Query Parameters
Instrument name Unique instrument identifier
Example:
"BTC-PERPETUAL"
Order type, default - all
Order type: "all", "limit", "trigger_all", "stop_all", "stop_limit", "stop_market", "take_all", "take_limit", "take_market", "trailing_all", "trailing_stop"
Available options:
all, limit, trigger_all, stop_all, stop_limit, stop_market, take_all, take_limit, take_market, trailing_all, trailing_stop Was this page helpful?
⌘I